<div class="empty" *ngIf="cart.empty" >
    There are no items in the shopping cart.<br/>
    Please, add some and return back here.
</div>
<div class="has-items" *ngIf="!cart.empty">
    <table>
        <thead>
            <tr> <th>#</th> <th>Namn</th> <th>Pris</th> <th>Antal</th> <th>Summa</th> </tr>
        </thead>
        <tbody>
            <tr *ngFor="let item of cart.items; let row=index">
                <td>{{row+1}}</td>
                <td>{{item.name}}</td>
                <td>{{item.price | currency:'SEK'}}</td>
                <td>{{item.count}}</td>
                <td>{{item.total | currency:'SEK'}}</td>
            </tr>
        </tbody>
        <tfoot>
            <tr>
                <th colspan="4">Total:</th>
                <th>{{cart.total | currency:'SEK'}}</th>
            </tr>
        </tfoot>
    </table>
    <div> <button (click)="cart.clear()"> Clear Shopping Cart </button> </div>
</div>

